﻿# Créé par Nadja, le 30/03/2019 en Python 3.4

from gpx import *


#fonction "est multiple de... " qui pourrait être créé en math
def estmultiplede(a,n) :
    """a, n entiers, renvoie vrai
    si a est multiplde de n
    et faux sinon """
    if a/n==a//n :
        return True
    else :
        return False


#lat est la list des latitudes enregistrees
lat=latitude("Evening_Run.gpx")

#lon est la list des longitudes enregistrees
lon=longitude("Evening_Run.gpx")

#alti est la list des altitudes enregistrees
alti=altitude("Evening_Run.gpx")



#nombre total de points enregistrés
nbpoint=len(lat)


fmap = folium.Map(location=[lat[0], lon[0]], tiles="OpenStreetMap", zoom_start=13)

folium.Marker([lat[0], lon[0]],
             popup="Depart",
             icon=folium.Icon(color='green')).add_to(fmap)

folium.Marker([lat[nbpoint-1], lon[nbpoint-1]],
             popup="Arrivée",
             icon=folium.Icon(color='red')).add_to(fmap)

#point haut
Maxialti=max(alti)
maxindex=alti.index(Maxialti)
folium.Marker([lat[maxindex], lon[maxindex]],
             popup="Point haut",
             icon=folium.Icon(color='purple')).add_to(fmap)

#Point bas
Minialti=min(alti)
minindex=alti.index(Minialti)


folium.Marker([lat[minindex], lon[minindex]],
             popup="Point le plus bas "+str(Minialti)+"m",
             icon=folium.Icon(color='blue')).add_to(fmap)

# Creation de nouvelles listes contenant moins de points
newlat=[]
newlon=[]

for i in range(nbpoint) :
    if estmultiplede(i,1) :
        newlat.append(lat[i])
        newlon.append(lon[i])


# Draw polyline
points =listepoint(newlat,newlon)

folium.PolyLine(points, color="blue", weight=3, opacity=0.6).add_to(fmap)

fmap.save('gpx.html')